package com.ruoyi.web.work.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class AuthenticationDto {

    @NotBlank(message = "姓名不能为空")
    @ApiModelProperty(value = "姓名")
    private String name;

    @NotBlank(message = "身份证不能为空")
    @ApiModelProperty(value = "身份证")
    private String idCard;

    @NotBlank(message = "身份证人面像不能为空")
    @ApiModelProperty(value = "身份证人面像")
    private String p1;

    @NotBlank(message = "身份证人徽面不能为空")
    @ApiModelProperty(value = "身份证人徽面")
    private String p2;
}
