package com.ruoyi.web.work.api;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.dto.CompanyDto;
import com.ruoyi.web.work.service.ICompanyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 企业管理
 *
 * @author lsw
 * @date 2024-04-16
 */
@RestController
@RequestMapping("/app/company")
public class Api_CompanyController extends BaseController {
    @Autowired
    private ICompanyService companyService;

    @GetMapping("/list")
    public AjaxResult list(@Validated CompanyDto dto) {
        return AjaxResult.success(companyService.selectCompanyList(dto));
    }
}
